RubyGems Navigation menu

beaker 4.42.0

Puppet's accceptance testing harness

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 6.1.0 - June 04, 2024 (285 KB)
  2. 6.0.0 - May 28, 2024 (285 KB)
  3. 5.8.1 - May 06, 2024 (290 KB)
  4. 5.8.0 - March 22, 2024 (290 KB)
  5. 5.7.0 - February 13, 2024 (290 KB)
  6. 4.42.0 - March 27, 2024 (299 KB)
Show all versions (228 total)

Runtime Dependencies (13):

ed25519 ~> 1.0
hocon ~> 1.0
inifile ~> 3.0
in-parallel >= 0.1, < 2
minitar ~> 0.6
minitest ~> 5.4
net-scp >= 1.2, < 5.0
net-ssh >= 5.0
rexml >= 0
rsync ~> 1.0.9
thor >= 1.0.1, < 2.0

Development Dependencies (5):

fakefs ~> 1.0
rake ~> 13.0
rspec ~> 3.0
rspec-its >= 0
yard ~> 0.9.11

Owners:

Pushed by:

Authors:

  • Puppet

SHA 256 checksum:

abdd72304c8a02a4e84becb06930b2faa78275ddbef096379f5584ee5069cac4

Total downloads 4,378,990

For this version 17,922

License:

Apache-2.0

Required Ruby Version: >= 2.4

Links: